1.0

1.0

get /v1/planned-computes

Description

Get planned compute list.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
LIMIT
Example : 10
integerNone
querypage
optional
Page
Example : 1
integerNone
querystart_date
optional
Start date (YYYY-MM-dd)
Example : 2024-08-01
stringNone
queryend_date
optional
End date (YYYY-MM-dd)
Example : 2024-08-01
stringNone
queryserver_type
optional
Server Type
Example : s1v1m2
any of [string, null]None
querycontract_id
optional
Contract Id
Example : C002612775
any of [string, null]None
querycontract_type
optional
Contract Type
Example : 01
array[string]None
querynext_contract_type
optional
Next Contract Type
Example : 01
array[string]None
queryservice_id
optional
Service Id
Example : VIRTUAL_SERVER
array[string]None
queryos_type
optional
OS Type
Example : OPEN_SOURCE
array[string]None
querystate
optional
Planned Compute State
Example : ACTIVE
array[string]None
querycreated_by
optional
Created by
Example : user123
stringNone
querymodified_by
optional
Modified by
Example : kim
stringNone
querysort
optional
Sort
Example : created_by:asc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPlannedComputeListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/planned-computes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = billingplan 1.0"

Example HTTP response

Response 200

{
    "planned_computes": [
        {
            "start_date": "2024-08-01",
            "end_date": "2024-08-01",
            "id": "5f3688a192094ddeb0c94166a3e88935",
            "contract_id": "C002612775",
            "account_id": "228cb9e4a7934f84853594c7f26f7a21",
            "region": "kr-west1",
            "service_id": "VIRTUAL_SERVER",
            "service_name": "Virtual Server",
            "os_type": "OPEN_SOURCE",
            "os_name": "Open Source",
            "server_type": "s1v1m2",
            "server_type_description": "",
            "srn": "srn:e::26affb52e16944038a0cd2cc26060e1c:kr1-west1::compute:instance/INSTANCE-UPOg3Z6ZqyiMM0QyC3sI2m",
            "resource_type": "instance",
            "contract_type": "1-year",
            "next_contract_type": "1-year",
            "first_contract_start_at": "2024-08-01",
            "next_start_date": "2024-08-01",
            "next_end_date": "2024-08-31",
            "state": "ACTIVE",
            "delete_yn": "N",
            "resource_name": "test-vm",
            "created_at": "2024-08-01 00:00:00",
            "created_by": "user123",
            "modified_at": "2024-08-01 00:00:00",
            "modified_by": "kim"
        }
    ],
    "total_pages": "0",
    "total_count": "0",
    "current_page": "0"
}